Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network176.97.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
176.97.0.0
Broadcast address
176.97.255.255
First usable
176.97.0.1
Last usable
176.97.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
B (default /16)
As numbers
Hex B0610000 · Integer 2959147008 to 2959212543
Reverse DNS zone
97.176.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10110000.01100001..00000000.00000000176.97.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network10110000.01100001..00000000.00000000176.97.0.0
Broadcast10110000.01100001..11111111.11111111176.97.255.255
Split into smaller subnets/23

176.97.0.0/16 makes 128 subnets of /23.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1176.97.0.0/23176.97.0.1 to 176.97.1.254176.97.1.255510
2176.97.2.0/23176.97.2.1 to 176.97.3.254176.97.3.255510
3176.97.4.0/23176.97.4.1 to 176.97.5.254176.97.5.255510
4176.97.6.0/23176.97.6.1 to 176.97.7.254176.97.7.255510
5176.97.8.0/23176.97.8.1 to 176.97.9.254176.97.9.255510
6176.97.10.0/23176.97.10.1 to 176.97.11.254176.97.11.255510
7176.97.12.0/23176.97.12.1 to 176.97.13.254176.97.13.255510
8176.97.14.0/23176.97.14.1 to 176.97.15.254176.97.15.255510
9176.97.16.0/23176.97.16.1 to 176.97.17.254176.97.17.255510
10176.97.18.0/23176.97.18.1 to 176.97.19.254176.97.19.255510
11176.97.20.0/23176.97.20.1 to 176.97.21.254176.97.21.255510
12176.97.22.0/23176.97.22.1 to 176.97.23.254176.97.23.255510
13176.97.24.0/23176.97.24.1 to 176.97.25.254176.97.25.255510
14176.97.26.0/23176.97.26.1 to 176.97.27.254176.97.27.255510
15176.97.28.0/23176.97.28.1 to 176.97.29.254176.97.29.255510
16176.97.30.0/23176.97.30.1 to 176.97.31.254176.97.31.255510
17176.97.32.0/23176.97.32.1 to 176.97.33.254176.97.33.255510
18176.97.34.0/23176.97.34.1 to 176.97.35.254176.97.35.255510
19176.97.36.0/23176.97.36.1 to 176.97.37.254176.97.37.255510
20176.97.38.0/23176.97.38.1 to 176.97.39.254176.97.39.255510
21176.97.40.0/23176.97.40.1 to 176.97.41.254176.97.41.255510
22176.97.42.0/23176.97.42.1 to 176.97.43.254176.97.43.255510
23176.97.44.0/23176.97.44.1 to 176.97.45.254176.97.45.255510
24176.97.46.0/23176.97.46.1 to 176.97.47.254176.97.47.255510
25176.97.48.0/23176.97.48.1 to 176.97.49.254176.97.49.255510
26176.97.50.0/23176.97.50.1 to 176.97.51.254176.97.51.255510
27176.97.52.0/23176.97.52.1 to 176.97.53.254176.97.53.255510
28176.97.54.0/23176.97.54.1 to 176.97.55.254176.97.55.255510
29176.97.56.0/23176.97.56.1 to 176.97.57.254176.97.57.255510
30176.97.58.0/23176.97.58.1 to 176.97.59.254176.97.59.255510
31176.97.60.0/23176.97.60.1 to 176.97.61.254176.97.61.255510
32176.97.62.0/23176.97.62.1 to 176.97.63.254176.97.63.255510
33176.97.64.0/23176.97.64.1 to 176.97.65.254176.97.65.255510
34176.97.66.0/23176.97.66.1 to 176.97.67.254176.97.67.255510
35176.97.68.0/23176.97.68.1 to 176.97.69.254176.97.69.255510
36176.97.70.0/23176.97.70.1 to 176.97.71.254176.97.71.255510
37176.97.72.0/23176.97.72.1 to 176.97.73.254176.97.73.255510
38176.97.74.0/23176.97.74.1 to 176.97.75.254176.97.75.255510
39176.97.76.0/23176.97.76.1 to 176.97.77.254176.97.77.255510
40176.97.78.0/23176.97.78.1 to 176.97.79.254176.97.79.255510
41176.97.80.0/23176.97.80.1 to 176.97.81.254176.97.81.255510
42176.97.82.0/23176.97.82.1 to 176.97.83.254176.97.83.255510
43176.97.84.0/23176.97.84.1 to 176.97.85.254176.97.85.255510
44176.97.86.0/23176.97.86.1 to 176.97.87.254176.97.87.255510
45176.97.88.0/23176.97.88.1 to 176.97.89.254176.97.89.255510
46176.97.90.0/23176.97.90.1 to 176.97.91.254176.97.91.255510
47176.97.92.0/23176.97.92.1 to 176.97.93.254176.97.93.255510
48176.97.94.0/23176.97.94.1 to 176.97.95.254176.97.95.255510
49176.97.96.0/23176.97.96.1 to 176.97.97.254176.97.97.255510
50176.97.98.0/23176.97.98.1 to 176.97.99.254176.97.99.255510
51176.97.100.0/23176.97.100.1 to 176.97.101.254176.97.101.255510
52176.97.102.0/23176.97.102.1 to 176.97.103.254176.97.103.255510
53176.97.104.0/23176.97.104.1 to 176.97.105.254176.97.105.255510
54176.97.106.0/23176.97.106.1 to 176.97.107.254176.97.107.255510
55176.97.108.0/23176.97.108.1 to 176.97.109.254176.97.109.255510
56176.97.110.0/23176.97.110.1 to 176.97.111.254176.97.111.255510
57176.97.112.0/23176.97.112.1 to 176.97.113.254176.97.113.255510
58176.97.114.0/23176.97.114.1 to 176.97.115.254176.97.115.255510
59176.97.116.0/23176.97.116.1 to 176.97.117.254176.97.117.255510
60176.97.118.0/23176.97.118.1 to 176.97.119.254176.97.119.255510
61176.97.120.0/23176.97.120.1 to 176.97.121.254176.97.121.255510
62176.97.122.0/23176.97.122.1 to 176.97.123.254176.97.123.255510
63176.97.124.0/23176.97.124.1 to 176.97.125.254176.97.125.255510
64176.97.126.0/23176.97.126.1 to 176.97.127.254176.97.127.255510
65176.97.128.0/23176.97.128.1 to 176.97.129.254176.97.129.255510
66176.97.130.0/23176.97.130.1 to 176.97.131.254176.97.131.255510
67176.97.132.0/23176.97.132.1 to 176.97.133.254176.97.133.255510
68176.97.134.0/23176.97.134.1 to 176.97.135.254176.97.135.255510
69176.97.136.0/23176.97.136.1 to 176.97.137.254176.97.137.255510
70176.97.138.0/23176.97.138.1 to 176.97.139.254176.97.139.255510
71176.97.140.0/23176.97.140.1 to 176.97.141.254176.97.141.255510
72176.97.142.0/23176.97.142.1 to 176.97.143.254176.97.143.255510
73176.97.144.0/23176.97.144.1 to 176.97.145.254176.97.145.255510
74176.97.146.0/23176.97.146.1 to 176.97.147.254176.97.147.255510
75176.97.148.0/23176.97.148.1 to 176.97.149.254176.97.149.255510
76176.97.150.0/23176.97.150.1 to 176.97.151.254176.97.151.255510
77176.97.152.0/23176.97.152.1 to 176.97.153.254176.97.153.255510
78176.97.154.0/23176.97.154.1 to 176.97.155.254176.97.155.255510
79176.97.156.0/23176.97.156.1 to 176.97.157.254176.97.157.255510
80176.97.158.0/23176.97.158.1 to 176.97.159.254176.97.159.255510
81176.97.160.0/23176.97.160.1 to 176.97.161.254176.97.161.255510
82176.97.162.0/23176.97.162.1 to 176.97.163.254176.97.163.255510
83176.97.164.0/23176.97.164.1 to 176.97.165.254176.97.165.255510
84176.97.166.0/23176.97.166.1 to 176.97.167.254176.97.167.255510
85176.97.168.0/23176.97.168.1 to 176.97.169.254176.97.169.255510
86176.97.170.0/23176.97.170.1 to 176.97.171.254176.97.171.255510
87176.97.172.0/23176.97.172.1 to 176.97.173.254176.97.173.255510
88176.97.174.0/23176.97.174.1 to 176.97.175.254176.97.175.255510
89176.97.176.0/23176.97.176.1 to 176.97.177.254176.97.177.255510
90176.97.178.0/23176.97.178.1 to 176.97.179.254176.97.179.255510
91176.97.180.0/23176.97.180.1 to 176.97.181.254176.97.181.255510
92176.97.182.0/23176.97.182.1 to 176.97.183.254176.97.183.255510
93176.97.184.0/23176.97.184.1 to 176.97.185.254176.97.185.255510
94176.97.186.0/23176.97.186.1 to 176.97.187.254176.97.187.255510
95176.97.188.0/23176.97.188.1 to 176.97.189.254176.97.189.255510
96176.97.190.0/23176.97.190.1 to 176.97.191.254176.97.191.255510
97176.97.192.0/23176.97.192.1 to 176.97.193.254176.97.193.255510
98176.97.194.0/23176.97.194.1 to 176.97.195.254176.97.195.255510
99176.97.196.0/23176.97.196.1 to 176.97.197.254176.97.197.255510
100176.97.198.0/23176.97.198.1 to 176.97.199.254176.97.199.255510
101176.97.200.0/23176.97.200.1 to 176.97.201.254176.97.201.255510
102176.97.202.0/23176.97.202.1 to 176.97.203.254176.97.203.255510
103176.97.204.0/23176.97.204.1 to 176.97.205.254176.97.205.255510
104176.97.206.0/23176.97.206.1 to 176.97.207.254176.97.207.255510
105176.97.208.0/23176.97.208.1 to 176.97.209.254176.97.209.255510
106176.97.210.0/23176.97.210.1 to 176.97.211.254176.97.211.255510
107176.97.212.0/23176.97.212.1 to 176.97.213.254176.97.213.255510
108176.97.214.0/23176.97.214.1 to 176.97.215.254176.97.215.255510
109176.97.216.0/23176.97.216.1 to 176.97.217.254176.97.217.255510
110176.97.218.0/23176.97.218.1 to 176.97.219.254176.97.219.255510
111176.97.220.0/23176.97.220.1 to 176.97.221.254176.97.221.255510
112176.97.222.0/23176.97.222.1 to 176.97.223.254176.97.223.255510
113176.97.224.0/23176.97.224.1 to 176.97.225.254176.97.225.255510
114176.97.226.0/23176.97.226.1 to 176.97.227.254176.97.227.255510
115176.97.228.0/23176.97.228.1 to 176.97.229.254176.97.229.255510
116176.97.230.0/23176.97.230.1 to 176.97.231.254176.97.231.255510
117176.97.232.0/23176.97.232.1 to 176.97.233.254176.97.233.255510
118176.97.234.0/23176.97.234.1 to 176.97.235.254176.97.235.255510
119176.97.236.0/23176.97.236.1 to 176.97.237.254176.97.237.255510
120176.97.238.0/23176.97.238.1 to 176.97.239.254176.97.239.255510
121176.97.240.0/23176.97.240.1 to 176.97.241.254176.97.241.255510
122176.97.242.0/23176.97.242.1 to 176.97.243.254176.97.243.255510
123176.97.244.0/23176.97.244.1 to 176.97.245.254176.97.245.255510
124176.97.246.0/23176.97.246.1 to 176.97.247.254176.97.247.255510
125176.97.248.0/23176.97.248.1 to 176.97.249.254176.97.249.255510
126176.97.250.0/23176.97.250.1 to 176.97.251.254176.97.251.255510
127176.97.252.0/23176.97.252.1 to 176.97.253.254176.97.253.255510
128176.97.254.0/23176.97.254.1 to 176.97.255.254176.97.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses